#include <bits/stdc++.h>

using namespace std;

int main() {
    int N;
    cin >> N;
    int niz[N], arr[N], br=0;
    for(int i = 0; i < N; i++)
    {
        cin >> niz[i];
        arr[i] = niz[i];
    }
    if(N > 2){
    sort(arr, arr + N, greater<int>());
    while(niz[br] == arr[br] && br < N)
    {
        br++;
    }
    if(br == N-1)
    {
        swap(niz[N-1], niz[N-2]);
    }
    else
    {
        int minimal = 12, minimalID;
        for(int i = br + 1; i < N; i++)
        {
            if(niz[i] < minimal){
                minimal = niz[i];
                minimalID = i;
            }
        }
        swap(niz[br], niz[minimalID]);
    }
    }
    else
    {
        swap(niz[N-1], niz[N-2]);
    }
    for(int i = 0; i < N; i++)
    {
        cout << niz[i] << " ";
    }
}